@import './functions/rem.scss';
@import './theme.scss';

html {
    font-family: 'Raleway', sans-serif;
    background-color: #000000;
    color: $primary-color;

    h1 {
        @include rem-fallback(font-size, 48);
    }

    h2 {
        @include rem-fallback(font-size, 36);
        display: inline-block;
    }

    h3 {
        @include rem-fallback(font-size, 24);
    }

    .page {
        @include rem-fallback(padding, 60);

        h1 {
            font-weight: bold;
            border-bottom: 2px solid $secondary-color;
            @include rem-fallback(padding-bottom, 10);
            @include rem-fallback(margin-bottom, 40);
        }
    }

    pre {
        white-space: pre-wrap;       /* css-3 */
        white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
        white-space: -pre-wrap;      /* Opera 4-6 */
        white-space: -o-pre-wrap;    /* Opera 7 */
        word-wrap: break-word;       /* Internet Explorer 5.5+ */
        box-sizing: border-box;
        word-break: break-all;
        background-color: $alt-color;
        max-width: 100%;
        @include rem-fallback(padding, 15);
        @include rem-fallback(margin-bottom, 10);
        @include rem-fallback(border-radius, 10);
    }
}

@media all and (max-width: 414px) { 
    html {
        @include rem-fallback(font-size, 14);

        h1 {
            @include rem-fallback(font-size, 42);
        }
    
        h2 {
            @include rem-fallback(font-size, 30);
        }
    
        h3 {
            @include rem-fallback(font-size, 18);
        }
    
        .page {
            @include rem-fallback(padding, 10);
        }
    }
}

@media all and (max-width: 825px) { 
    html {
        .page {
            @include rem-fallback(padding, 10);
        }
    }
}